## org.apache.lucene.analysis.fa
Class PersianCharFilter

    java.lang.Object
      java.io.Reader
          org.apache.lucene.analysis.CharFilter
              org.apache.lucene.analysis.fa.PersianCharFilter

All Implemented Interfaces:
  Closeable, Readable

    public class PersianCharFilter

extends CharFilter

CharFilter that replaces instances of Zero-width non-joiner with an ordinary space.

Field Summary

Fields inherited from class org.apache.lucene.analysis.CharFilter
`input`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`PersianCharFilter(Reader in)`

Method Summary
`protected int` `correct(int currentOff)`
`int` `read()`
`int` `read(char[] cbuf, int off, int len)`

Methods inherited from class org.apache.lucene.analysis.CharFilter
`close, correctOffset`

Methods inherited from class java.io.Reader
`mark, markSupported, read, read, ready, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersianCharFilter

    public PersianCharFilter(Reader in)

Method Detail

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Specified by:
    `read` in class `Reader`
  Throws:
    `IOException`

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException`

### correct

    protected int correct(int currentOff)

  Specified by:
    `correct` in class `CharFilter`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.